Highlighted

CS6 MacOS update

New Here ,
Sep 22, 2020

Copy link to clipboard

Copied

I have an original purchase of CS6 but since one of the later MacOS updates I was no longer able to use CS6. I deleted it and downloaded it again. In the folder however, the 'Install' button is not accessible (it's greyed out). When I click on the Install button, a message comes up with:

 

"Install" needs to be updated. The developer of this app needs to update it to work with this version of macOS. Contact the developer for more information.

 

What can I do to use my CS6?

Adobe Community Professional
Correct answer by Manan Joshi | Adobe Community Professional

Not exactly, you can use CS6 if you can downgrade your OS. If you can't downgrade then you have two options to explore.

  • Install an older version of OS on an external drive and boot into this drive when you need to use your CS6 application
  • You can investigate using Virtual Machines like VMWare Fusion with the appropriate MAC OS version

-Manan

TOPICS
Activation, Installation

Views

53

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

CS6 MacOS update

New Here ,
Sep 22, 2020

Copy link to clipboard

Copied

I have an original purchase of CS6 but since one of the later MacOS updates I was no longer able to use CS6. I deleted it and downloaded it again. In the folder however, the 'Install' button is not accessible (it's greyed out). When I click on the Install button, a message comes up with:

 

"Install" needs to be updated. The developer of this app needs to update it to work with this version of macOS. Contact the developer for more information.

 

What can I do to use my CS6?

Adobe Community Professional
Correct answer by Manan Joshi | Adobe Community Professional

Not exactly, you can use CS6 if you can downgrade your OS. If you can't downgrade then you have two options to explore.

  • Install an older version of OS on an external drive and boot into this drive when you need to use your CS6 application
  • You can investigate using Virtual Machines like VMWare Fusion with the appropriate MAC OS version

-Manan

TOPICS
Activation, Installation

Views

54

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Sep 22, 2020 0
Adobe Community Professional ,
Sep 22, 2020

Copy link to clipboard

Copied

What is the OS on your MAC? If it's Catalina then CS6 won't install/run over it. Catalina only supports apps from CC2019 onwards.

-Manan

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Sep 22, 2020 0
New Here ,
Sep 22, 2020

Copy link to clipboard

Copied

Hi Manan,

Yes, its Catalina 10.15.5. So, does that mean I have to give up on my original purchase?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Sep 22, 2020 0
Adobe Community Professional ,
Sep 22, 2020

Copy link to clipboard

Copied

Not exactly, you can use CS6 if you can downgrade your OS. If you can't downgrade then you have two options to explore.

  • Install an older version of OS on an external drive and boot into this drive when you need to use your CS6 application
  • You can investigate using Virtual Machines like VMWare Fusion with the appropriate MAC OS version

-Manan

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Sep 22, 2020 0